## ros-humble-rmw-gurumdds-shared-cpp 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmw_gurumdds_shared_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(gurumdds_cmake_module REQUIRED)

find_package(GurumDDS QUIET MODULE)
if(GurumDDS_FOUND)
  find_package(GurumDDS MODULE)
endif()
if(NOT GurumDDS_FOUND)
  ament_package()
  message(WARNING "Could not find GurumDDS - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rmw_dds_common REQUIRED)

include_directories(include)

ament_export_include_directories(include ${GurumDDS_INCLUDE_DIR})
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)

include_directories(${GurumDDS_INCLUDE_DIR})
link_directories(${GurumDDS_LIBRARY_DIRS})
add_library(
  rmw_gurumdds_shared_cpp
  SHARED
  src/demangle.cpp
  src/event_converter.cpp
  src/names_and_types_helpers.cpp
  src/namespace_prefix.cpp
  src/qos.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_topic_endpoint_info.cpp
  src/rmw_guard_condition.cpp
  src/rmw_logging.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_qos.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_wait.cpp
  src/types/custom_listener.cpp
)
#target_link_libraries(rmw_gurumdds_shared_cpp gurumdds)
ament_target_dependencies(rmw_gurumdds_shared_cpp
  "rcutils"
  "rmw"
  "rmw_dds_common"
  "GurumDDS")
ament_export_libraries(rmw_gurumdds_shared_cpp)

# Causes the visibility macros to use dllexport rather than dllimport
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(rmw_gurumdds_shared_cpp PRIVATE "RMW_GURUMDDS_SHARED_CPP_BUILDING_LIBRARY")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rmw_gurumdds_shared_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_gurumdds_shared_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-humble-rmw-gurumdds-shared-cpp (3.2.0-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.1.6-1jammy) jammy; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.1.5-1jammy) jammy; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.1.4-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.1.3-1jammy) jammy; urgency=high

  * Wrap up unordered_map with shared_ptr
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.1.2-1jammy) jammy; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 02 Jan 2022 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.1.1-1jammy) jammy; urgency=high

  * Add public to qos convert api& fix for uncrustify
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 20 Dec 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.1.0-1jammy) jammy; urgency=high

  * Add pdp handling process
  * Add client/service Qos getters
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 24 Nov 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.9-1jammy) jammy; urgency=high

  * Add missing return
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.8-1jammy) jammy; urgency=high

  * Fix bug: condition of dw/dr seq delete
  * Support static discovery
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.7-1jammy) jammy; urgency=high

  * Remove sleep before fill tnat
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 26 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.6-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.5-1jammy) jammy; urgency=high

  * Stop double-defining structs
  * Add rmw_publisher_wait_for_all_acked
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 22 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.4-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.3-1jammy) jammy; urgency=high

  * Wait for state change of topic cache
  * Remove datareader listener patch
  * Remove attached waitset conditions on destructor
  * Remove unnecessary operation
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 18 Aug 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.2-1jammy) jammy; urgency=high

  * Move handle sequence delete into right place
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.1-1jammy) jammy; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 06 Jul 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (3.0.0-1jammy) jammy; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 28 Apr 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (2.1.4-1jammy) jammy; urgency=high

  * Take and return new RMW_DURATION_INFINITE
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 21 Apr 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (2.1.3-1jammy) jammy; urgency=high

  * fix typo
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (2.1.2-1jammy) jammy; urgency=high

  * Update code about build error on windows
  * Add RMW function to check QoS compatibility
  * Contributors: Youngjin Yun, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 21 Mar 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (2.1.1-1jammy) jammy; urgency=high

  * Update packages to use gurumdds-2.7
  * fix typo
  * Contributors: youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 11 Mar 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (2.1.0-1jammy) jammy; urgency=high

  * Change maintainer
  * Set actual domain id into context
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 22 Feb 2021 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (2.0.1-1jammy) jammy; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (2.0.0-1jammy) jammy; urgency=high

  * Removed parameters domain_id and localhost_only from rmw_create_node()
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (1.1.0-1jammy) jammy; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID
  * Added support for sample_lost event
  * Set resource_limit explicitly
  * Fixed compile warnings
  * Contributors: junho

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-humble-rmw-gurumdds-shared-cpp (1.0.0-1jammy) jammy; urgency=high

  * MANUAL_BY_NODE liveliness is deprecated
  * Updated packages to use gurumdds-2.6
  * security_context is renamed to enclave
  * Added incompatible qos support


=== debian/control ===
Source: ros-humble-rmw-gurumdds-shared-cpp
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-gurumdds-cmake-module, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-dds-common, ros-humble-rosidl-cmake, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw-gurumdds-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gurumdds-2.8, ros-humble-ament-cmake, ros-humble-gurumdds-cmake-module, ros-humble-rmw-dds-common, ros-humble-ros-workspace
Description: Code shared on static and dynamic type support of rmw_gurumdds_cpp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw-gurumdds-shared-cpp//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
